<?php

$user_role = auth()->user()->role;

$admin = 1;
$staff = 0;
$branch = 3;
$client = 4;
$driver = 5;

$model = App\Models\Settings::where('group', 'general')->where('name','login_page_logo')->first();
$system_logo = App\Models\Settings::where('group', 'general')->where('name','system_logo')->first();

?>

<style>
    .navbar-light .navbar-nav .nav-link i{
        color: white;
    }
</style>

<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light" style="background: #272b34;">

    <!-- Left navbar links -->
    <ul class="navbar-nav">
        
        <li class="nav-item d-sm-inline-block mobile_section">
            <a href="<?php echo e(fr_route('/')); ?>" target="_blank" class="nav-link <?php echo e(active_route('/')); ?>">
                <img src="<?php echo e($model->getFirstMediaUrl('login_page_logo') ? $model->getFirstMediaUrl('login_page_logo') : ( $system_logo->getFirstMediaUrl('system_logo') ? $system_logo->getFirstMediaUrl('system_logo') : asset('assets/lte/cargo-logo-white.svg') )); ?>" alt="Logo" style=" height: 27px;" class="logo" />
            </a>
        </li>

        
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">

        <!-- Navbar Search -->
        <!-- <li class="nav-item">
            <a class="nav-link" data-widget="navbar-search" href="#" role="button">
                <i class="fas fa-search"></i>
            </a>
            <div class="navbar-search-block">
                <form class="form-inline">
                    <div class="input-group input-group-sm">
                        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
                        <div class="input-group-append">
                        <button class="btn btn-navbar" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                        <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                            <i class="fas fa-times"></i>
                        </button>
                        </div>
                    </div>
                </form>
            </div>
        </li> -->

        <!-- Notifications Dropdown Menu -->
        <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
                <i class="far fa-bell"></i>
                <span
                    class="badge badge-warning navbar-badge"><?php echo e(\Auth::user()->unreadNotifications->count()); ?></span>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <?php if(\Auth::user()->unreadNotifications->count() > 0): ?>
                    <span class="dropdown-item dropdown-header"><?php echo e(\Auth::user()->unreadNotifications->count()); ?>

                        <?php echo app('translator')->get('view.notifications'); ?></span>
                    <div class="dropdown-divider"></div>
                    <?php $__currentLoopData = \Auth::user()->unreadNotifications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <a href="<?php echo e(route('notification.view', ['id' => $item->id])); ?>" class="dropdown-item">
                            <i
                                class="<?php if($item->icon): ?> <?php echo e($item->icon); ?> <?php else: ?> fas fa-bell <?php endif; ?> mr-2"></i>
                            <?php echo e($item->data['message']['subject']); ?>

                            <span
                                class="float-right text-muted text-sm ml-2"><?php echo e($item->created_at->diffForHumans(null, null, true)); ?></span>
                        </a>
                        <div class="dropdown-divider"></div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <a href="#" class="dropdown-item dropdown-footer"><?php echo app('translator')->get('view.see_all_notifications'); ?></a>
                <?php else: ?>
                    <!--begin::Nav-->
                    <span class="dropdown-item dropdown-header"><?php echo app('translator')->get('view.no_new_notifications'); ?></span>
                    <div class="dropdown-divider"></div>
                    <!--end::Nav-->
                <?php endif; ?>
            </div>
        </li>

        <!-- User Dropdown Menu -->
        <li class="nav-item dropdown">
            <a class="nav-link" data-toggle="dropdown" href="#">
                <i class="fas fa-user"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <span class="dropdown-item dropdown-header"><?php echo e(auth()->user()->name); ?></span>
                <div class="dropdown-divider"></div>
                <?php if (\Illuminate\Support\Facades\Blade::check('checkModule', 'users')): ?>

                
                <?php if($user_role == $admin): ?>
                    <a href="<?php echo e(fr_route('users.show', ['id' => auth()->id()])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.my_profile'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('users.edit', ['id' => auth()->id()])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.account_settings'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                <?php endif; ?>

                
                <?php if($user_role == $client): ?>
                    <?php
                        $item_id = Modules\Cargo\Entities\Client::where('user_id', auth()->user()->id)
                            ->pluck('id')
                            ->first();
                    ?>

                    <a href="<?php echo e(fr_route('clients.show', ['client' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.my_profile'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('clients.profile', ['id' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.account_settings'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('clients.manage-address')); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('cargo::view.manage_address'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                <?php endif; ?>

                
                <?php if($user_role == $branch): ?>
                    <?php
                        $item_id = Modules\Cargo\Entities\Branch::where('user_id', auth()->user()->id)
                            ->pluck('id')
                            ->first();
                    ?>
                    <a href="<?php echo e(fr_route('branches.show', ['branch' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.my_profile'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('branches.profile', ['id' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.account_settings'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                <?php endif; ?>


                
                <?php if($user_role == $driver): ?>
                    <?php
                        $item_id = Modules\Cargo\Entities\Driver::where('user_id', auth()->user()->id)
                            ->pluck('id')
                            ->first();
                    ?>
                    <a href="<?php echo e(fr_route('drivers.show', ['driver' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.my_profile'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('drivers.profile', ['id' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.account_settings'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                <?php endif; ?>


                
                <?php if($user_role == $staff): ?>
                    <?php
                        $item_id = Modules\Cargo\Entities\Staff::where('user_id', auth()->user()->id)
                            ->pluck('id')
                            ->first();
                    ?>
                    <a href="<?php echo e(fr_route('staffs.show', ['staff' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.my_profile'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="<?php echo e(fr_route('staffs.profile', ['id' => $item_id])); ?>" class="dropdown-item">
                        <?php echo app('translator')->get('users::view.account_settings'); ?>
                    </a>
                    <div class="dropdown-divider"></div>
                <?php endif; ?>



                <?php endif; ?>
                <form id="formLogout" method="POST" action="<?php echo e(fr_route('logout')); ?>">
                    <?php echo csrf_field(); ?>
                    <button type="submit" class="dropdown-item"><?php echo app('translator')->get('view.sign_out'); ?></button>
                </form>
                <div class="dropdown-divider"></div>
            </div>
        </li>

        <!-- Language Dropdown Menu -->
        <li class="nav-item dropdown">
            <?php if(check_module('Localization')): ?>
                <a class="nav-link" data-toggle="dropdown" href="#" style="color:#a1acb8 !important">
                    <?php if(Config::get('current_lang_image')): ?>
                        <img src="<?php echo e(Config::get('current_lang_image')); ?>" alt="" class="flag-icon mx-1" />
                    <?php endif; ?><?php echo e(LaravelLocalization::getCurrentLocaleName()); ?>

                </a>
                <div class="dropdown-menu dropdown-menu-right p-0">
                    <?php $__currentLoopData = Modules\Localization\Entities\Language::all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    
                        <a href="<?php echo e(LaravelLocalization::getLocalizedURL($language->code)); ?>" class="dropdown-item" style="color:#a1acb8 !important">
                            <?php if($language->imageUrl): ?>
                                <img class="flag-icon mr-2" src="<?php echo e($language->imageUrl); ?>" alt="" />
                            <?php endif; ?> <?php echo e($language->name); ?>

                        </a>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            <?php endif; ?>
        </li>

        <li class="nav-item">
            <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                <i class="fas fa-expand-arrows-alt"></i>
            </a>
        </li>
        <!-- <li class="nav-item">
            <a class="nav-link" data-widget="control-sidebar" data-controlsidebar-slide="true" href="#" role="button">
                <i class="fas fa-th-large"></i>
            </a>
        </li> -->
    </ul>
</nav>
<!-- /.navbar -->
<nav class="new-navbar navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <!-- <a class="navbar-brand" href="<?php echo e(fr_route('admin.dashboard')); ?>"><?php echo app('translator')->get('view.dashboard'); ?></a> -->
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
      <ul class="navbar-nav">

      <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="<?php echo e(fr_route('admin.dashboard')); ?>"><?php echo app('translator')->get('view.dashboard'); ?></a>
       </li>
        


        <?php if (\Illuminate\Support\Facades\Blade::check('admin')): ?>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            <?php echo e(__('acl::view.access_control_level')); ?>

          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <li><a class="dropdown-item" href="<?php echo e(fr_route('roles.index')); ?>"><?php echo e(__('acl::view.role_list')); ?></a></li>
            <li><a class="dropdown-item" href="<?php echo e(fr_route('roles.create')); ?>"><?php echo e(__('acl::view.create_new_role')); ?></a></li>
          </ul>
        </li>
        <?php endif; ?>


        <?php if(auth()->user()->can('manage-shipments') || in_array($user_role, [$admin, $client, $branch])): ?>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
          <?php echo e(__('cargo::view.shipments')); ?>

          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <?php if(auth()->user()->can('manage-shipments') || in_array($user_role, [$admin, $client, $branch])): ?>
                <?php if(auth()->user()->can('create-shipments') || in_array($user_role, [$admin, $client, $branch])): ?>
                    <li><a class="nav-link" href="<?php echo e(fr_route('shipments.create')); ?>"><?php echo e(__('cargo::view.create_new_shipment')); ?></a></li>
                <?php endif; ?>
                <li><a class="nav-link" href="<?php echo e(fr_route('shipments.index')); ?>"><?php echo e(__('cargo::view.all_Shipments')); ?></a></li>
                
                <?php if(auth()->user()->can('shipments-barcode-scanner') || $user_role == $admin): ?>
                    <li><a class="nav-link" href="<?php echo e(fr_route('shipments.barcode.scanner')); ?>"><?php echo e(__('cargo::view.barcode_scanner')); ?></a></li>
                <?php endif; ?>
                
                
                
            <?php endif; ?>

          </ul>
        </li>
        <?php endif; ?>


        <?php if(auth()->user()->can('manage-missions') || $user_role == $admin || $user_role == $branch || $user_role == $driver): ?>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            <?php echo e(__('cargo::view.missions')); ?>

          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <?php if(auth()->user()->can('manage-missions') || $user_role == $admin || $user_role == $branch || $user_role == $driver): ?>

                <li><a class="dropdown-item"  href="<?php echo e(fr_route('missions.index')); ?>"><?php echo e(__('cargo::view.all_missions')); ?></a></li>
                
            <?php endif; ?>
          </ul>
        </li>
        <?php endif; ?>


        <?php if(auth()->user()->can('manage-manifests') || in_array($user_role, [$admin, $driver, $branch])): ?>
            <li class="nav-item   <?php echo e(areActiveRoutes(['missions.manifests'], 'menu-is-opening menu-open active')); ?>">
                <a href="<?php echo e(fr_route('missions.manifests')); ?>" class="nav-link <?php echo e(areActiveRoutes(['missions.manifests'])); ?>">
                    <?php echo e(__('cargo::view.manifest')); ?>

                </a>
            </li>
        <?php endif; ?>

        <?php if(auth()->user()->can('manage-missions') || $user_role == $admin || $user_role == $branch || $user_role == $driver): ?>
            <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    <?php echo e(__('cargo::view.transactions')); ?>

            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <?php if(auth()->user()->can('manage-missions') || $user_role == $admin || $user_role == $branch || $user_role == $driver): ?>

                    <!-- Transaction list -->
                    <?php if(auth()->user()->can('manage-transactions') || in_array($user_role, [$admin, $branch, $driver, $client])): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('transactions.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['transactions.index'])); ?>">
                                    <?php echo e(__('cargo::view.all_transactions')); ?>

                                </a>
                            </li>
                        <?php endif; ?>

                        <!-- Create new transaction -->
                        <?php if(auth()->user()->can('create-transactions') || in_array($user_role, [$admin, $branch])): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('transactions.create')); ?>" class="nav-link <?php echo e(areActiveRoutes(['transactions.create'])); ?>">
                                    <?php echo e(__('cargo::view.create_new_transaction')); ?>

                                </a>
                            </li>
                        <?php endif; ?>
                <?php endif; ?>
            </ul>
            </li>
        <?php endif; ?>




        <?php if(auth()->user()->can('manage-branches') || auth()->user()->can('manage-customers') || auth()->user()->can('manage-drivers') || $user_role == $admin || $user_role == $branch): ?>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                    <?php echo e(__('cargo::view.shipment_team')); ?>

                </a>
                <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                    
                    <!-- Branch Menu -->
                    <?php if(auth()->user()->can('manage-branches') || $user_role == $admin): ?>
                        
                        <?php if(auth()->user()->can('view-branches') || $user_role == $admin): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('branches.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['branches.index'])); ?>">
                                    <?php echo e(__('cargo::view.branch_list')); ?>

                                </a>
                            </li>
                        <?php endif; ?>

                    <?php endif; ?>

                    <!-- Customer Menu -->
                    <?php if(auth()->user()->can('manage-customers') || $user_role == $admin || $user_role == $branch): ?>

                        <?php if(auth()->user()->can('view-customers') || $user_role == $admin || $user_role == $branch): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('clients.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['clients.index'])); ?>">
                                    <?php echo e(__('cargo::view.client_list')); ?>

                                </a>
                            </li>
                        <?php endif; ?>

                    <?php endif; ?>

                    <!-- Driver Menu -->
                    <?php if(auth()->user()->can('manage-drivers') || $user_role == $admin || $user_role == $branch): ?>
                        
                        <?php if(auth()->user()->can('view-drivers') || $user_role == $admin || $user_role == $branch): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('drivers.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['drivers.index'])); ?>">
                                    <?php echo e(__('cargo::view.driver_list')); ?>

                                </a>
                            </li>
                        <?php endif; ?>
                    <?php endif; ?>

                    <!-- Create new User -->
                    <?php if(auth()->user()->can('view-users') || $user_role == $admin): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(fr_route('users.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['users.index'])); ?>">
                                <?php echo e(__('users::view.user_list')); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                    <?php if(auth()->user()->can('view-users') || $user_role == $admin): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(fr_route('receivers.index')); ?>" class="nav-link <?php echo e(areActiveRoutes(['receivers.index'])); ?>">
                                    <?php echo e(__('cargo::view.receiver_list')); ?>

                            </a>
                        </li>
                    <?php endif; ?>
                
                </ul>
            </li>
        <?php endif; ?>
    
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                <?php echo e(__('view.reports')); ?>

            </a>
            <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                
                <?php if(app('hook')->get('aside_menu_reports')): ?>
                    <?php $__currentLoopData = app('hook')->get('aside_menu_reports'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $componentView): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $componentView; ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            
            </ul>
        </li>

        
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                <?php echo e(__('view.setting')); ?>

          </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage-setting')): ?>
                    <li><a class="nav-link" href="<?php echo e(fr_route('admin.settings')); ?>"><?php echo app('translator')->get('view.general_setting'); ?></a></li>
                <?php endif; ?>

                <?php if(app('hook')->get('aside_menu_settings')): ?>
                    <?php $__currentLoopData = app('hook')->get('aside_menu_settings'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $componentView): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $componentView; ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>

                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage-notifications-setting')): ?>
                    <li><a class="nav-link" href="<?php echo e(fr_route('admin.settings.notifications')); ?>"><?php echo app('translator')->get('view.notifications_settings'); ?></a></li>
                <?php endif; ?>


                <?php if(auth()->user()->can('update-system') || auth()->user()->role == 1): ?>
                    <li><a class="nav-link" href="<?php echo e(fr_route('system.update')); ?>"><?php echo e(__('cargo::view.system_update')); ?></a></li>
                <?php endif; ?>
          </ul>


            <?php if(auth()->user()->role == 1): ?>
                <li>
                    <a class="nav-link" href="<?php echo e(fr_route('system.support')); ?>">
                        <?php echo e(__('cargo::view.support')); ?>

                    </a>
                </li>
            <?php endif; ?>



        </li>

      </ul>
    </div>
  </div>
</nav>
<style>
    @media  only screen and (max-width: 600px) {
        .mobile_section {
            display: none !important;
        }
    }

</style>
<?php /**PATH C:\laragon\www\cargo\resources\views/adminLte/components/header.blade.php ENDPATH**/ ?>