<?php
    $user_role = auth()->user()->role;
    $admin  = 1;
    $staff  = 0;
    $branch = 3;
    $client = 4;
    $driver = 5;

    if($user_role == $admin || $user_role == $staff){
        if($user_role == $admin || auth()->user()->can('manage-branches')){
            $all_branchs   = Modules\Cargo\Entities\Branch::where('is_archived', 0)->count();
        }
        if($user_role == $admin || auth()->user()->can('manage-staffs')){
            $all_staff     = Modules\Cargo\Entities\Staff::count();
        }
        if($user_role == $admin || auth()->user()->can('manage-customers')){
            $all_clients   = Modules\Cargo\Entities\Client::where('is_archived', 0)->count();
            $all_Receiver   = Modules\Cargo\Entities\Receiver::where('is_archived', 0)->count();
        }
        if($user_role == $admin || auth()->user()->can('manage-drivers')){
            $all_captains  = Modules\Cargo\Entities\Driver::where('is_archived', 0)->count();
        }
    }elseif($user_role == $branch){
        $branch_id = Modules\Cargo\Entities\Branch::where('user_id',auth()->user()->id)->pluck('id')->first();

        $all_Receiver   = Modules\Cargo\Entities\Receiver::where('is_archived', 0)->where('branch_id',$branch_id)->count();
        $all_clients   = Modules\Cargo\Entities\Client::where('is_archived', 0)->where('branch_id',$branch_id)->count();
        $all_captains  = Modules\Cargo\Entities\Driver::where('is_archived', 0)->where('branch_id',$branch_id)->count();
        $all_staff     = Modules\Cargo\Entities\Staff::where('branch_id',$branch_id)->count();
    }
    
    
    $shipmentsData = DB::table('shipments')
        ->select(DB::raw('MONTH(shipping_date) AS month'), DB::raw('COUNT(id) AS shipments_count'))
        ->groupBy(DB::raw('MONTH(shipping_date)'))
        ->get();

        $months = [];
        $shipmentsCount = [];
        foreach ($shipmentsData as $data) {
            $month = date("M", mktime(0, 0, 0, $data->month, 1));
            $months[] = $month;
            $shipmentsCount[] = $data->shipments_count;
        }

        $pending_missions    = Modules\Cargo\Entities\Mission::whereIn('status_id',[ Modules\Cargo\Entities\Mission::REQUESTED_STATUS, Modules\Cargo\Entities\Mission::APPROVED_STATUS, Modules\Cargo\Entities\Mission::RECIVED_STATUS])->count();
        $pickup_missions     = Modules\Cargo\Entities\Mission::where('type', Modules\Cargo\Entities\Mission::PICKUP_TYPE )->count();
        $delivery_missions   = Modules\Cargo\Entities\Mission::where('type', Modules\Cargo\Entities\Mission::DELIVERY_TYPE )->count();
        $transfer_missions   = Modules\Cargo\Entities\Mission::where('type', Modules\Cargo\Entities\Mission::TRANSFER_TYPE )->count();

        $typeMissions = [$transfer_missions,$pickup_missions ,$delivery_missions , $pending_missions ];

        $totalMissionCount = Modules\Cargo\Entities\Mission::count();
        
?>
     <link href="<?php echo e(asset('assets/custom/css/core.css')); ?>" rel="stylesheet" type="text/css" />
     <script src="<?php echo e(asset('assets/global/js/config.js')); ?>"></script>

        <style>
           .intro .containerr{
                min-height: 235px;
                padding: 14.8px 54px 0 50px;
                border-radius: 10px;
                box-shadow: 0 10px 10px 0 rgba(90, 90, 90, 0.04);
                background-color: white;
                /* margin-left: 0px;
                margin-right: 0px; */
            }
            
            .intro  .containerr  .row .contentd{
                min-height: 127px;
                font-family: Montserrat;
                font-size: 18px;
                font-weight: 500;
                font-stretch: normal;
                font-style: normal;
                line-height: 1.94;
                letter-spacing: normal;
                text-align: left;
                color: black;
            } 

            .intro .containerr .row .contentd  {
                margin-top: 27px;
                text-align: start;
            }

            .intro .containerr .row .container-img  img {
            
                min-height: 220.2px;
                margin: 0 0 0 0;
                object-fit: contain;
            }

            .users-count  >   
            {
                padding: 0px !important;
            }

            .users-count  .row .Rectangle-1{
                /* margin-left: 10px; */
                /* margin-right: 16px; */
                background-color: #ffffff ;
            }

            .graph   {
                padding: 0px !important;
            }

            .graph   .card-header {
                padding: 29px;
                margin: 0 0 68px;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 600;
                font-stretch: normal;
                font-style: normal;
                line-height: normal;
                letter-spacing: normal;
                text-align: left;
                color: black;
            }

            .graph  .row .graph-order {
                background-color: #ffffff ;
                max-height: 555px;
            }


           .graph  .row  h2 {
                font-family: Montserrat;
                font-size: 35px;
                font-weight: 600;
                font-stretch: normal;
                font-style: normal;
                line-height: normal;
                letter-spacing: normal;
                color: #8c91a8;
           }

            .total-order {
                /* width: 91px; */
                height: 19px;
                margin: 8px 0 39px;
                font-family: Montserrat;
                font-size: 16px;
                font-weight: 500;
                font-stretch: normal;
                font-style: normal;
                line-height: normal;
                letter-spacing: normal;
                text-align: left;
                color: black;
                }

        </style>

     <?php if($user_role == $admin): ?>
        <div class="">

            <section class="intro">
                <div class="containerr">
                    <div class="row">
                        <div class="col-lg-6 col-md-12  col-sm-12  contentd">
                            <p> <?php echo e(__('cargo::view.get_ready_1')); ?> <br> <?php echo e(__('cargo::view.get_ready_2')); ?> <br> <?php echo e(__('cargo::view.get_ready_3')); ?>.</p>
                        </div>
                        <div class="col-lg-6 col-md-12 col-sm-12 container-img d-flex justify-content-end" > 
                            <img src="<?php echo e(asset('assets/img/illustrations/man-with-laptop-light.svg')); ?>"   >
                        </div>
                    </div>
                </div>
            </section>

            <section class="users-count" >
                <div class="">
                    <div class="row">
                        <div class="col Rectangle-1 mb-5 mt-5" >
                            <div class="Rectangle-2">
                                <div class="" style="">
                                    <img src="<?php echo e(asset('assets/img/new-icon/All-Receiver.svg')); ?>" class="Pending-Missions" style="">
                                </div>
                                <div class="">
                                    <p class="Rectangle-p"><?php echo e(__('cargo::view.all_Receiver')); ?></p>
                                    <h3 class="font-medium m-b-0 Rectangle-span" data-kt-countup="true" data-kt-countup-value=<?php echo e($all_Receiver); ?>>0</h3>
                                </div>
                            </div>
                        </div>

                        <div class="col Rectangle-1 mb-5 mt-5" >
                            <a href="<?php echo e(route('staffs.index')); ?>">
                                <div class="Rectangle-2">
                                    <div class="" style="">
                                        <img src="<?php echo e(asset('assets/img/new-icon/All-Staffs.svg')); ?>" class="Pending-Missions" style="">
                                    </div>
                                    <div class="">
                                        <p class="Rectangle-p" ><?php echo e(__('cargo::view.all_staffs')); ?></p>
                                        <h3 class="font-medium m-b-0 Rectangle-span" data-kt-countup="true"  data-kt-countup-value=<?php echo e($all_staff); ?>>0</h3>
                                    </div>
                                </div>
                            </a>   
                        </div>

                        <div class="col Rectangle-1 mb-5 mt-5" >
                            <a href="<?php echo e(route('clients.index')); ?>" >
                                <div class="Rectangle-2">
                                    <div class="" style="">
                                        <img src="<?php echo e(asset('assets/img/new-icon/All-Customers.svg')); ?>" class="Pending-Missions" style="">
                                    </div>
                                    <div class="">
                                        <p class="Rectangle-p"><?php echo e(__('cargo::view.all_clients')); ?></p>
                                        <h3 class="font-medium m-b-0 Rectangle-span" data-kt-countup="true"  data-kt-countup-value=<?php echo e($all_clients); ?>>0</h3>
                                    </div>
                                </div>
                            </a>   
                        </div>

                        <div class="col Rectangle-1 mb-5 mt-5" >
                            <a href="<?php echo e(route('drivers.index')); ?>">
                                <div class="Rectangle-2">
                                    <div>
                                        <img src="<?php echo e(asset('assets/img/new-icon/All-Drivers.svg')); ?>" class="Pending-Missions" style="">
                                    </div>
                                    <div class="">
                                        <p class="Rectangle-p"><?php echo e(__('cargo::view.all_drivers')); ?></p>
                                        <h3 class="font-medium m-b-0 Rectangle-span" data-kt-countup="true" data-kt-countup-value=<?php echo e($all_captains); ?>>0</h3>
                                    </div>
                                </div>
                            </a>
                        </div>

                        <div class="col Rectangle-1 mb-5 mt-5" >
                            <a href="<?php echo e(route('branches.index')); ?>">
                                <div class="Rectangle-2">
                                    <div class="" style="">
                                        <img src="<?php echo e(asset('assets/img/new-icon/All-Branches.svg')); ?>" class="Pending-Missions" style="">
                                    </div>
                                    <div class="">
                                        <p class="Rectangle-p" ><?php echo e(__('cargo::view.all_branches')); ?></p>
                                        <h3 class="font-medium m-b-0 Rectangle-span" data-kt-countup="true"  data-kt-countup-value=<?php echo e($all_branchs); ?>>0</h3>
                                    </div>
                                </div>
                            </a>
                        </div>
 
                    </div>
                </div> 
            </section>

            <section class="graph">
                <div class="">
                    <div class="row">
                        <div class="col-lg-9" >
                            <div class=" order-2 order-md-3 order-lg-2 mb-4">
                                <div class="card">
                                    <div class="row row-bordered g-0">
                                        <div class="col-md-12">
                                            <h5 class="card-header m-0 me-2 pb-3"><?php echo e(__('cargo::view.Total_Shipments')); ?></h5>
                                            <div id="totalRevenueChart" class="px-2"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3 graph-order">
                            <div class="card-body" style="padding: 27px;">
                                <div class="d-flex justify-content-between align-items-center mb-3">
                                    <div class="d-flex flex-column align-items-center gap-1">
                                        <h2 class="mb-2" data-kt-countup="true" data-kt-countup-value="<?php echo e($totalMissionCount); ?>">0</h2>
                                        <span class="total-order"><?php echo e(__('cargo::view.total_missions')); ?></span>
                                    </div>
                                    <div id="orderStatisticsChart"></div>
                                </div>
                                <ul class="p-0 m-0">
                                    <li class="d-flex mb-4 pb-1">
                                        <div class="avatar flex-shrink-0 me-3">
                                            <span class="avatar-initial rounded bg-label-primary">
                                                <img src="<?php echo e(asset('assets/img/new-icon/Pending-Missions.svg')); ?>" class="Pending-Missions" style="">
                                            </span>
                                        </div>
                                        <div
                                            class="d-flex w-100 flex-wrap align-items-center justify-content-between gap-2">
                                            <div class="me-2">
                                                <h6 class="mb-0"><?php echo e(__('cargo::view.pending_missions')); ?></h6>
                                                <small class="text-muted"> </small>
                                            </div>
                                            <div class="user-progress">
                                                <small class="fw-semibold"><?php echo e($pending_missions); ?></small>
                                            </div>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 pb-1">
                                        <div class="avatar flex-shrink-0 me-3">
                                            <!-- <span class="avatar-initial rounded bg-label-success"> -->
                                                <img src="<?php echo e(asset('assets/img/new-icon/Pickup-Missions.svg')); ?>" class="Pending-Missions" style="">
                                            <!-- </span> -->
                                        </div>
                                        <div  class="d-flex w-100 flex-wrap align-items-center justify-content-between gap-2">
                                            <div class="me-2">
                                                <h6 class="mb-0"><?php echo e(__('cargo::view.pickup_missions')); ?></h6>
                                                <small class="text-muted"></small>
                                            </div>
                                            <div class="user-progress">
                                                <small class="fw-semibold"><?php echo e($pickup_missions); ?></small>
                                            </div>
                                        </div>
                                    </li>
                                    <li class="d-flex mb-4 pb-1">
                                        <div class="avatar flex-shrink-0 me-3">
                                            <span class="avatar-initial rounded bg-label-info">
                                                <img src="<?php echo e(asset('assets/img/new-icon/Delivery-Missions.svg')); ?>" class="Pending-Missions" style="">
                                            </span>
                                        </div> 
                                        <div
                                            class="d-flex w-100 flex-wrap align-items-center justify-content-between gap-2">
                                            <div class="me-2">
                                                <h6 class="mb-0"><?php echo e(__('cargo::view.delivery_missions')); ?></h6>
                                                <small class="text-muted"></small>
                                            </div>
                                            <div class="user-progress">
                                                <small class="fw-semibold"><?php echo e($delivery_missions); ?></small>
                                            </div>
                                        </div>
                                    </li>
                                    <li class="d-flex">
                                        <div class="avatar flex-shrink-0 me-3">
                                            <span class="avatar-initial rounded bg-label-secondary">
                                                <img src="<?php echo e(asset('assets/img/new-icon/Transfer-Missions.svg')); ?>" class="Pending-Missions" style="">
                                            </span>
                                        </div>
                                        <div
                                            class="d-flex w-100 flex-wrap align-items-center justify-content-between gap-2">
                                            <div class="me-2">
                                                <h6 class="mb-0"><?php echo e(__('cargo::view.transfer_missions')); ?></h6>
                                                <small class="text-muted"></small>
                                            </div>
                                            <div class="user-progress">
                                                <small class="fw-semibold"><?php echo e($transfer_missions); ?></small>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div> 
            </section>

        </div>
        <br>
    <?php endif; ?>






<script>
    (function () {
        let cardColor, headingColor, axisColor, shadeColor, borderColor;
        Mission = " <?php echo e(__('cargo::view.mission')); ?>";
        Status  =  "<?php echo e(__('cargo::view.status')); ?>"
        cardColor = config.colors.white;
        headingColor = config.colors.headingColor;
        axisColor = config.colors.axisColor;
        borderColor = config.colors.borderColor;
        customColor = '#ee6517';

        // Total Revenue Report Chart - Bar Chart
        // --------------------------------------------------------------------
        const totalRevenueChartEl = document.querySelector('#totalRevenueChart'), 
    
        totalRevenueChartOptions = {
            series: [
            {
                data: <?php echo json_encode(array_reverse($shipmentsCount), 15, 512) ?> 
            },
            ],
            chart: {
            height: 450,
            stacked: true,
            type: 'bar',
            toolbar: { show: true }
            },
            plotOptions: {
            bar: {
                horizontal: false,
                columnWidth: '39%',
                borderRadius: 12,
                startingShape: 'rounded',
                endingShape: 'rounded'
            }
            },
            colors: [customColor, config.colors.info],
            dataLabels: {
            enabled: false
            },
            stroke: {
            curve: 'smooth',
            width: 6,
            lineCap: 'round',
            colors: [cardColor]
            },
            legend: {
            show: true,
            horizontalAlign: 'left',
            position: 'top',
            markers: {
                height: 8,
                width: 8,
                radius: 12,
                offsetX: -3
            },
            labels: {
                colors: axisColor
            },
            itemMargin: {
                horizontal: 10
            }
            },
            grid: {
            borderColor: borderColor,
            padding: {
                top: 0,
                bottom: -8,
                left: 20,
                right: 20
            }
            },
            xaxis: {
            categories: <?php echo json_encode(array_reverse($months), 15, 512) ?> ,
            labels: {
                style: {
                fontSize: '13px',
                colors: axisColor
                }
            },
            axisTicks: {
                show: false
            },
            axisBorder: {
                show: false
            }
            },
            yaxis: {
            labels: {
                style: {
                fontSize: '13px',
                colors: axisColor
                }
            }
            },
            responsive: [
            {
                breakpoint: 1700,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '32%'
                    }
                }
                }
            },
            {
                breakpoint: 1580,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '35%'
                    }
                }
                }
            },
            {
                breakpoint: 1440,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '42%'
                    }
                }
                }
            },
            {
                breakpoint: 1300,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '48%'
                    }
                }
                }
            },
            {
                breakpoint: 1200,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '40%'
                    }
                }
                }
            },
            {
                breakpoint: 1040,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 11,
                    columnWidth: '48%'
                    }
                }
                }
            },
            {
                breakpoint: 991,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '30%'
                    }
                }
                }
            },
            {
                breakpoint: 840,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '35%'
                    }
                }
                }
            },
            {
                breakpoint: 768,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '28%'
                    }
                }
                }
            },
            {
                breakpoint: 640,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '32%'
                    }
                }
                }
            },
            {
                breakpoint: 576,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '37%'
                    }
                }
                }
            },
            {
                breakpoint: 480,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '45%'
                    }
                }
                }
            },
            {
                breakpoint: 420,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '52%'
                    }
                }
                }
            },
            {
                breakpoint: 380,
                options: {
                plotOptions: {
                    bar: {
                    borderRadius: 10,
                    columnWidth: '60%'
                    }
                }
                }
            }
            ],
            states: {
            hover: {
                filter: {
                type: 'none'
                }
            },
            active: {
                filter: {
                type: 'none'
                }
            }
            }
        };
        if (typeof totalRevenueChartEl !== undefined && totalRevenueChartEl !== null) {
        const totalRevenueChart = new ApexCharts(totalRevenueChartEl, totalRevenueChartOptions);
        totalRevenueChart.render();
        }

        // Order Statistics Chart
        // --------------------------------------------------------------------
        const chartOrderStatistics = document.querySelector('#orderStatisticsChart'),
        orderChartConfig = {
            chart: {
            height: 165,
            width: 130,
            type: 'donut'
            },
            labels:  ['Pending Missions', 'Delivery Missions', 'Pickup Missions', 'Transfer Missions'],
            series: <?php echo json_encode(array_reverse($typeMissions), 15, 512) ?> ,
            colors: [config.colors.primary, config.colors.secondary, customColor, config.colors.success],
            stroke: {
            width: 5,
            colors: cardColor
            },
            dataLabels: {
            enabled: false,
            formatter: function (val, opt) {
                return parseInt(val) + '%';
            }
            },
            legend: {
            show: false
            },
            grid: {
            padding: {
                top: 0,
                bottom: 0,
                right: 15
            }
            },
            plotOptions: {
            pie: {
                donut: {
                size: '75%',
                labels: {
                    show: true,
                    value: {
                    fontSize: '1.5rem',
                    fontFamily: 'Public Sans',
                    color: headingColor,
                    offsetY: -15,
                    formatter: function (val) {
                        return parseInt(val) + '%';
                    }
                    },
                    name: {
                    offsetY: 20,
                    fontFamily: 'Public Sans'
                    },
                    total: {
                    show: true,
                    fontSize: '0.6125rem',
                    color: axisColor,
                    label: Status,
                    formatter: function (w) {
                        return Mission;
                    }
                    }
                }
                }
            }
            }
        };
        if (typeof chartOrderStatistics !== undefined && chartOrderStatistics !== null) {
        const statisticsChart = new ApexCharts(chartOrderStatistics, orderChartConfig);
        statisticsChart.render();
        }



    })();
</script><?php /**PATH C:\laragon\www\cargo\Modules/Cargo\Resources/views/adminLte/components/dashboard_count.blade.php ENDPATH**/ ?>