<?php
    if (check_module('Localization')) {
        $current_lang = Modules\Localization\Entities\Language::where('code', LaravelLocalization::getCurrentLocale())->first();
    }

    $model = App\Models\Settings::where('group', 'general')->where('name','login_page_logo')->first();
    $system_logo = App\Models\Settings::where('group', 'general')->where('name','system_logo')->first();
?>
<!DOCTYPE html>
<?php if(isset($current_lang) && $current_lang->dir == 'rtl'): ?>
<html lang="<?php echo e(LaravelLocalization::getCurrentLocale()); ?>" direction="rtl" dir="rtl" style="direction: rtl;">
<?php else: ?>
<html lang="<?php echo e(LaravelLocalization::getCurrentLocale()); ?>">

<?php endif; ?>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo e(config('app.name') . ' | ' . ($pageTitle ?? 'Cargo-Lite')); ?></title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <?php if(isset($current_lang) && $current_lang->dir == 'rtl'): ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/lte')); ?>/css/rtl.css">
    <?php else: ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/lte')); ?>/css/ltr.css">
    <?php endif; ?>
</head>

<body>
    <style>
            :root {
                --max-height-calc: calc(100vh - 70px);
            }

            .navbar {
                height: 70px !important;
            }

            .Rectangle-4707 {
                border: 0;
                height: 68px;
                margin: 0 15px 0 0;
                padding: 19px 133px 24px 43px;
                border-radius: 34px;
                background-color: #fff;
            }

            .home_section .container,
            .navbar .container {
                max-width: 99% !important;
            }

            .img-fluidv {
                width: 100% !important;
                display: flex;
                text-align: left !important;
                flex-wrap: wrap;
                justify-content: center;
                flex-direction: column;
                align-content: flex-start;
            }

            .home_section,
            .home_section .container,
            .home_section .container .row {
                height: var(--max-height-calc) !important;
            }

            .home_section .container,
            .navbar .container {
                padding-left: 189px;
                padding-right: 189px;
            }

            .home_section .container .row .text-center,
            .home_section .container .row .text-center .text-left {
                width: 100% !important;
                height: 100% !important;
            }
            .home_section .container .row .text-center .text-left {
                display: flex;
                flex-wrap: wrap;
                justify-content: center;
                flex-direction: column;
                align-content: flex-start;
            }

            <?php if(isset($current_lang) && $current_lang->dir == 'rtl'): ?>
            .home_section .container .row .text-center .text-left {
                text-align: right !important;
            }
            <?php else: ?>
            .home_section .container .row .text-center .text-left {
                text-align: left !important;
            }
            <?php endif; ?>
           
            .home_section .container .row .text-center .text-left h1 {
                height: 84px;
                font-family: 'Poppins', sans-serif;
                font-size: 60px;
                font-weight: 600;
                font-stretch: normal;
                font-style: normal;
                line-height: normal;
                letter-spacing: normal;
                color: #000;
            }

            .home_section .container .row .text-center .text-left p {
                height: 43px;
                font-family: Poppins;
                font-size: 30px;
                line-height: normal;
                color: #000;
            }

            .Track-button {
                border: 0;
                height: 68px;
                margin: 0 0 0 15px;
                padding: 20px 42px;
                border-radius: 34px;
                background-color: #ef6e24;
            }

            .home_section .centent {
                height: 280.8px !important;
            }

            .home_section,
            .navbar {
                background-color: #f5f5f9 !important;
            }

            @media (max-width: 1440px) {
                .Rectangle-4707 {
                padding: 19px 21px 24px 43px;
                height: 49px;
                }

                .Track-button {
                height: 49px;
                padding: 13px 42px;
                }
            }

            @media (max-width: 1292px) {
                .home_section .container .row .text-center .text-left p {
                height: 43px;
                font-family: Poppins;
                font-size: 22px;
                line-height: normal;
                color: #000;
                }

                .home_section .container .row .text-center .text-left h1 {
                font-size: 51px;
                }

                .Track-button {
                margin-top: 15px;
                }
            }

            @media (max-width: 1019px) {
                .home_section .container .row .text-center .text-left h1 {
                font-size: 43px;
                }

                .home_section .container .row .text-center .text-left p {
                font-size: 20px;
                }
            }

            @media (min-width: 1000px) and (max-width: 1058px) {
                .home_section .container .row .text-center .text-left h1 {
                font-size: 45px;
                }
            }

            @media (max-width: 995px) {
                .home_section .container,
                .navbar .container {
                padding-left: 40px;
                padding-right: 40px;
                }

                .home_section .container .row .text-center .text-left h1 {
                font-size: 73px;
                }

                .home_section .container .row .text-center .text-left p {
                font-size: 28px;
                }

                .Rectangle-4707 {
                padding: 19px 133px 24px 43px;
                }
            }

            @media (max-width: 988px) {
                .img-fluidv {
                display: none;
                }
            }

            @media (max-width: 425px) {
                .home_section .container .row .text-center .text-left h1 {
                font-size: 39px;
                }

                .home_section .container .row .text-center .text-left p {
                font-size: 24px;
                }

                .Rectangle-4707 {
                margin-top: 15px;
                padding: 19px 58px 24px 20px;
                }

                center .text-left p {
                font-size: 20px;
                }
            }
    </style>

    <!-- Navigation Bar for Home Page -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container">
            <a class="navbar-brand" href="<?php echo e(fr_route('/')); ?>">
                <img alt="Logo" src="<?php echo e($model->getFirstMediaUrl('login_page_logo') ? $model->getFirstMediaUrl('login_page_logo') : ( $system_logo->getFirstMediaUrl('system_logo') ? $system_logo->getFirstMediaUrl('system_logo') : asset('assets/lte/cargo-logo.svg') )); ?>"  alt="Logo" class="logo" style="max-height: 38px;"/> 

            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ml-auto">
                    
                    <li class="nav-item">
                        <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php if(auth()->guard()->check()): ?> Dashboard <?php else: ?>  Login  <?php endif; ?></a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Track section Bar for Home Page -->
    <form class="form " action="<?php echo e(route('shipments.tracking')); ?>" method="GET">
        <section class="home_section">
            <div class="container">
                <div class="row centent">
                    <div class="col-sm-12 col-lg-6  text-center">
                        <div class="text-left">
                            <h1><?php echo e(__('cargo::view.Best_Software')); ?> </h1>
                            <p><?php echo e(__('cargo::view.for_logistics_worldwide_solutions')); ?></p>

                            <div class="robot-container">
                                <input type="text" name="code" class="Rectangle-4707" placeholder="<?php echo e(__('cargo::view.enter_tracking_number')); ?>">
                                <button class="btn btn-primary Track-button"><?php echo e(__('cargo::view.track_now')); ?></button>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12 col-lg-6  img-fluidv">
                        <img src="<?php echo e(asset('assets/lte/Group_11397.png')); ?>" alt="Full Page Photo" class="img-fluid">
                    </div>
                </div>
            </div>
        </section>
    </form>

</body>
</html>
<?php /**PATH C:\laragon\www\cargo\resources\views/adminLte/auth/index.blade.php ENDPATH**/ ?>