<!--begin::Aside-->
<aside class="main-sidebar sidebar-dark-primary elevation-4" style="margin-bottom: 30px; display: none;">
    <!--begin::Brand-->
    <div class="aside-logo flex-column-auto brand-link" id="kt_aside_logo">
        <!--begin::Logo-->
        <?php
            $model = App\Models\Settings::where('group', 'general')->where('name','system_logo')->first();
        ?>
        <a href="<?php echo e(aurl('/')); ?>" style="display: flex;justify-content: center;">
            <img src="<?php echo e($model->getFirstMediaUrl('system_logo') ? $model->getFirstMediaUrl('system_logo') : asset('assets/lte/cargo-logo-white.svg')); ?>" alt="Logo" style="height: 38px;" class="logo" />
        </a>
        <!--end::Logo-->
    </div>
    <!--end::Brand-->

    <div class="sidebar" >
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="<?php echo e(auth()->user()->getFirstMediaUrl('avatar')? auth()->user()->getFirstMediaUrl('avatar'): asset('assets/lte/media/avatars/blank.png')); ?>"
                    class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="#" class="d-block"><?php echo e(auth()->user()->name); ?> |
                    <span
                        class="badge <?php echo e(auth()->user()->role == 1 ? 'badge-light-success' : 'badge-light-primary'); ?> fw-bolder fs-8 px-2 py-1 ms-2">
                        <?php echo e(auth()->user()->user_role); ?>

                    </span>
                </a>
            </div>
        </div>

        <!--begin::Aside menu-->
        <nav class="mt-2" style="padding-bottom: 30px !important;">
            <!--begin::Aside Menu-->
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!--begin::Menu-->
                <li class="nav-item">
                    <a href="<?php echo e(fr_route('admin.dashboard')); ?>"
                        class="nav-link <?php echo e(areActiveRoutes(['admin.dashboard'])); ?>">
                        <i class="nav-icon fas fa-th"></i>
                        <p>
                            <?php echo app('translator')->get('view.dashboard'); ?>
                        </p>
                    </a>
                </li>

                



                <?php if(app('hook')->get('aside_menu')): ?>
                    <?php $__currentLoopData = aasort(app('hook')->get('aside_menu'), 'order'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $componentView): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $componentView; ?>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>

                <li
                    class="nav-item <?php echo e(areActiveRoutes(['shipments.report','missions.report','clients.report','drivers.report','branches.report','transactions.report'],'menu-is-opening menu-open active')); ?>">

                    <a href="#"
                        class="nav-link  <?php echo e(areActiveRoutes(['shipments.report','missions.report','clients.report','drivers.report','branches.report','transactions.report'],'menu-is-opening menu-open active')); ?>">
                        <i class="fas fa-book fa-fw"></i>
                        <p>
                            <?php echo e(__('view.reports')); ?>

                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>


                    <ul class="nav nav-treeview">
                        <?php if(app('hook')->get('aside_menu_reports')): ?>
                            <?php $__currentLoopData = app('hook')->get('aside_menu_reports'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $componentView): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php echo $componentView; ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </ul>

                </li>


                <li
                    class="nav-item <?php echo e(areActiveRoutes(['countries.index','areas.index','deliveryTime.index','packages.index','shipments.settings.fees','shipments.settings','admin.settings','admin.settings.notifications','theme-setting.edit','languages.index','currencies.index','shipments.index','fees.index','admin.settings.google','default-theme.edit','backup.database'],'menu-is-opening menu-open active')); ?>">

                    <a href="#"
                        class="nav-link  <?php echo e(areActiveRoutes(['countries.index','areas.index','deliveryTime.index','packages.index','shipments.settings.fees','shipments.settings','admin.settings','admin.settings.notifications','theme-setting.edit','languages.index','currencies.index','shipments.index','fees.index','admin.settings.google','default-theme.edit','backup.database'],'menu-is-opening menu-open active')); ?>">
                        <i class="fas fa-cogs fa-fw"></i>
                        <p>
                            <?php echo e(__('view.setting')); ?>

                            <i class="right fas fa-angle-left"></i>
                        </p>
                    </a>


                    <ul class="nav nav-treeview">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage-setting')): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('admin.settings')); ?>"
                                    class="nav-link <?php echo e(areActiveRoutes(['admin.settings'])); ?>">
                                    <i class="fas fa-cog fa-fw"></i>
                                    <p><?php echo app('translator')->get('view.general_setting'); ?></p>
                                </a>
                            </li>
                        <?php endif; ?>


                        <?php if(app('hook')->get('aside_menu_settings')): ?>
                            <?php $__currentLoopData = app('hook')->get('aside_menu_settings'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $componentView): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php echo $componentView; ?>

                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>


                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('manage-notifications-setting')): ?>
                            <li class="nav-item">
                                <a href="<?php echo e(fr_route('admin.settings.notifications')); ?>"
                                    class="nav-link <?php echo e(areActiveRoutes(['admin.settings.notifications'])); ?>">
                                    <i class="fa fa-bell fa-fw"></i>
                                    <p><?php echo app('translator')->get('view.notifications_settings'); ?></p>
                                </a>
                            </li>
                        <?php endif; ?>
                        
                    </ul>

                </li>

                

                <?php if(auth()->user()->can('update-system') || auth()->user()->role == 1): ?>
                    <li class="nav-item">
                        <a href="<?php echo e(fr_route('system.update')); ?>"
                            class="nav-link <?php echo e(areActiveRoutes(['system.update'])); ?>">
                            <i class="fa-brands fa-ubuntu fa-fw"></i>
                            <p>
                                <?php echo app('translator')->get('view.system_update'); ?>
                            </p>
                        </a>
                    </li>
                <?php endif; ?>
                <?php if(auth()->user()->role == 1): ?>
                    <li class="nav-item">
                        <a href="<?php echo e(fr_route('system.support')); ?>"
                            class="nav-link <?php echo e(areActiveRoutes(['system.support'])); ?>">
                            <i class="fa-sharp fa-solid fa-circle-info"></i>
                            <p>
                                <?php echo e(__('cargo::view.support')); ?>

                            </p>
                        </a>
                    </li>
                <?php endif; ?>



                <!--end::Menu-->
            </ul>
            <!--end::Aside Menu-->
        </nav>
        <!--end::Aside menu-->
    </div>
</aside>
<!--end::Aside-->
<?php /**PATH C:\laragon\www\cargo\resources\views/adminLte/components/aside.blade.php ENDPATH**/ ?>